Skip to content

Search by Email

Request

For each email provided, identify one or more social media accounts on Instagram, YouTube, or TikTok that have listed this email in their bio or as their contact information.
A successful request costs 0.02 credits per matched email. To execute this request, the account must have a minimum of 0.02 credits multiplied by the number of provided emails, otherwise a not_enough_credits error will be returned.
We do not store the email addresses that you send us.

Security
accessToken
Bodyapplication/jsonrequired
emailsArray of strings, [ 1 .. 1000 ] itemsrequired

List of emails to search

Example:
[ "hello@modash.io", "non-existent@modash.io" ]
POST
/email-search
curl -i -X POST \
  https://api.modash.io/v1/email-search \
  -H 'Authorization: Bearer <YOUR_token_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "emails": [
      "hello@modash.io",
      "non-existent@modash.io"
    ]
  }'

Responses

Bodyapplication/json
errorboolean

If there is an error

Example:false
matchedEmailsArray of objects(MatchedEmail)

Matches by email

notMatchedEmailsArray of strings

Emails that were not matched

totalMatchesnumberrequired

Number of matched emails

Example:1
Response
{ "error": false, "matchedEmails": [ {} ], "notMatchedEmails": [ "string" ], "totalMatches": 1 }